version: "3.9"
services:
  app:
    build:
      args:
        user: roman
        uid: 1000
      context: ./
      dockerfile: ./docker/php/Dockerfile
    image: wealth
    container_name: wealth-app
    restart: unless-stopped
    working_dir: /var/www/
    volumes:
      - ./:/var/www
    networks:
      - wealth

  db:
    image: postgres:12.6-alpine
    container_name: wealth-db
    restart: unless-stopped
    ports:
      - 54321:5432
    environment:
      POSTGRES_DB: ${DB_DATABASE}
      POSTGRES_USER: ${DB_USERNAME}
      POSTGRES_PASSWORD: ${DB_PASSWORD}
    volumes:
      - ./docker/postgresql:/docker-entrypoint-initdb.d
      - ./docker/postgresql/data:/var/lib/postgresql/data
    networks:
      - wealth

  nginx:
    image: nginx:1.20-alpine
    container_name: wealth-nginx
    restart: unless-stopped
    ports:
      - 8000:80
    volumes:
      - ./:/var/www
      - ./docker/nginx:/etc/nginx/conf.d
    networks:
      - wealth

networks:
  wealth:
    driver: bridge
